Plugin Java e Flash Player no Firefox

Publicado por Antonio Thomacelli em 14/10/2011

[ Hits: 5.800 ]

Blog: http://www.tonnytg.com.br

 


Plugin Java e Flash Player no Firefox



Para mim conseguir fazer isso, tive que remover tudo do navegador e instalar do zero mas os locais de plugins pareciam ter mudado.

Então fica como dica de como consegui fazer rodar.

Flash Player 11:

No meu PC com ArchLinux e Firefox 6 e 7, o plugin do flashplayer fica dentro de /usr/lib/mozilla/plugins/.

Java:

No meu computador coloquei o java (programa) dentro de /opt/jre, para o plugin dele fiz um atalho colocando dentro da pasta de usuário:

# ln -s /opt/jre/lib/i386/libnpjp2.so /home/USER/.mozilla/plugin/

Tentei colocar ambos plugins dentro de /usr/lib/mozilla/plugin, mas o java não rodou então joguei na outra pasta e ficou ok.

Para testar, visite:
No Arch Linux o pacman já poupa muito tempo, use os comandos abaixo.

Flash player:

# pacman -S flashplugin

Java:

# pacman -S openjdk6 icedtea-web

Consulte também:
Espero que ajude.

Outras dicas deste autor

Montando Linux no Linux / mount em Linux / Linux para Linux

Firewall básico e simples

Comandos liberados por grupos no GNU/Linux

Acesso Remoto open-source com XRDP

Servidor para instalação remota com PXE

Leitura recomendada

Instalação do Sopcast

Ubuntu 14.04: Conecta, mas não navega [Resolvido]

CJB.net - Free Shell Account

Emulador x86 em Javascript rodando GNU/Linux. Falta o que agora?

Mozilla SeaMonkey 2.7 no Ubuntu 10.04 LTS

  

Comentários
[1] Comentário enviado por izaias em 15/10/2011 - 22:48h

Ótimo, Tonny.

Instalar esses plugins é um parto pra muita gente, é só ver os muitos tópicos aqui no VOL mesmo.
Adaptando o gerenciador específico para cada distro, deve funcionar em outras também.

[2] Comentário enviado por tonnytg em 16/10/2011 - 12:23h

Vlw pelo comentário izaias, realmente esses plugins são um tormento.
Meu problema todo começo quando fui adicionar os plugins do g talk para conversa com videos, depois disso o firefox corrompeu e parou de funcionar, o mesmo ocorreu com o chromiun, esse erro abaixo que ocorreu.

[code] Inconsistency detected by ld.so: dl-open.c: 597: _dl_open: Assertion `_dl_debug_initialize (0, args.nsid)->r_state == RT_CONSISTENT' failed! [/code]

Depois de corrigido tive alguns problemas para localizar o local certo para adicionar os plugins que antigamente na versão 5 eu tinha tudo dentro do /home mesmo e funcionava.

Ai por isso postei como dica onde consegui, foi um trabalho de 3 horas frustantes para achar e corrigir, já que o erro que citei acima, no google encontra-se pouca coisa.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts